#pragma once

#include <SDL3/SDL_render.h> // Para SDL_Texture
#include <SDL3/SDL_video.h>  // Para SDL_Window
#include <string>

namespace shader
{
    bool init(SDL_Window *ventana, SDL_Texture *texturaBackBuffer, const std::string &vertexShader, const std::string &fragmentShader = "");
    void render();
}